Subject: Re: sed issue
From: Pavel Tsekov <[email-masked]>
To: Jorge Goncalvez <[email-masked]>
Cc: [email-masked]
Date: Thu, 04 Oct 2001 09:41:42 +0200

Jorge Goncalvez wrote:
> 
> Hi, I have this code:
> sprintf(buf, "arp -d %s; arp -s %s %s ",
>                         a, a, print_hw_addr(htype, hlen, haddr));
> 
> 
> What I wanted to do is to take the third %s which is like this:
> XX:XX:XX:XX:XX:XX to tranform it like this
> XX-XX-XX-XX-XX-XX
> 
> I tried this:
> 
>   sprintf(buf, "arp -d %s; arp -s %s `echo %s | sed -g s/:/-/`",
>                    a, a, print_hw_addr(htype, hlen, haddr));
> 
> But it didn't work why?

Do you pass the "buf" to a "system" or "execxx" call or
you just exepect the buffer to be filled with the appropriate
info after the "sprintf" ?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/